Update issues... 14.04 to 16.04 mysql users not gettign correct passwords??

Discussion in 'ISPConfig 3 Priority Support' started by rob_morin, Apr 11, 2017.

  1. rob_morin

    rob_morin Member HowtoForge Supporter

    I simply added a new database user in ispconfig 3.1
    The user was added, but with this password in the user table of mysql
    THISISNOTAVALIDPASSWORDTHATCANBEUSEDHERE
    Ubuntu 16.04.2
    mysql 5.7.17

    WTF?
     
  2. rob_morin

    rob_morin Member HowtoForge Supporter

    ok my bad read the wrong mysql user, for get the whole "THISISNOTAVALIDPASSWORDTHATCANBEUSEDHERE" .... but the entered passwords still do not work below is an example


    *************************** 211. row ***************************
    Host: 216.xxx.xxx.xxx
    User: 8_lumpyjunk
    Select_priv: N
    Insert_priv: N
    Update_priv: N
    Delete_priv: N
    Create_priv: N
    Drop_priv: N
    Reload_priv: N
    Shutdown_priv: N
    Process_priv: N
    File_priv: N
    Grant_priv: N
    References_priv: N
    Index_priv: N
    Alter_priv: N
    Show_db_priv: N
    Super_priv: N
    Create_tmp_table_priv: N
    Lock_tables_priv: N
    Execute_priv: N
    Repl_slave_priv: N
    Repl_client_priv: N
    Create_view_priv: N
    Show_view_priv: N
    Create_routine_priv: N
    Alter_routine_priv: N
    Create_user_priv: N
    Event_priv: N
    Trigger_priv: N
    Create_tablespace_priv: N
    ssl_type:
    ssl_cipher:
    x509_issuer:
    x509_subject:
    max_questions: 0
    max_updates: 0
    max_connections: 0
    max_user_connections: 0
    plugin: mysql_native_password
    authentication_string: *9690CDC5B7264689DC7C8BE1C8E6991D59976398
    password_expired: N
    password_last_changed: 2017-04-11 12:27:01
    password_lifetime: NULL
    account_locked: N

    [email protected]:/var/www/lumpyjunk.com/web# mysql -u8_lumpyjunk -pxxxxx -h mysql2.xxx.com
    mysql: [Warning] Using a password on the command line interface can be insecure.
    ERROR 1045 (28000): Access denied for user '8_lumpyjunk'@'xxx.xxx.xxx.xx' (using password: YES)
     
  3. rob_morin

    rob_morin Member HowtoForge Supporter

    If i modify password on mysql server directly all works goodly.
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Which ISPConfig version do you use?
     
  5. rob_morin

    rob_morin Member HowtoForge Supporter

    Version 3.1.2
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    MySQL 5.7 should work in that version, the problem with that MySQL version is that it changed the behavior of the set password command which makes it somewhat incompatible to older MySQL versions. But you might try out the git-stable version from ISPConfig, it might be that there were further fixes for MySQL 5.7 added.
     
  7. rob_morin

    rob_morin Member HowtoForge Supporter

    Ok, Thanks Till!
     

Share This Page